=== debian/changelog ===
luksipc (0.04-2) unstable; urgency=medium

  * d/control: only build for Linux.
  * d/patches: add a patch to ensure 64-bit file offsets. Closes: #821745.

 -- Vincent Bernat <bernat@debian.org>  Tue, 19 Apr 2016 08:16:40 +0200

luksipc (0.04-1) unstable; urgency=medium

  * Initial release. Closes: #821035.

 -- Vincent Bernat <bernat@debian.org>  Fri, 15 Apr 2016 19:59:03 +0200
