=== debian/control ===
Source: luksipc
Section: admin
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9)
Homepage: http://johannes-bauer.com/linux/luksipc/
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/luksipc.git
Vcs-Git: https://alioth.debian.org/anonscm/git/collab-maint/luksipc.git

Package: luksipc
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends},
         cryptsetup, dmsetup
Description: LUKS in-place conversion tool
 luksipc is a tool to convert (unencrypted) block devices to
 (encrypted) LUKS devices in-place (therefore it's name LUKS in-place
 conversion). This means the conversion is performed without the need
 of copying all data somewhere, recreating the whole disk (i.e. create
 a LUKS device, create a new filesystem on the mapped LUKS device, copy
 all data back). Instead, the process is reduced to:
 .
  1. Unmounting the filesystem
  2. Resizing the filesystem to shrink about 10 megabytes (2048 kB is
     the current LUKS header size -- but do not trust this value, it
     has changed in the past!)
  3. Performing luksipc
  4. Adding custom keys to the LUKS keyring
