=== debian/watch ===
version=3
http://johannes-bauer.com/linux/luksipc luksipc-([\d.]+)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
